Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.log4j
[Groovy] Class LoggingGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.log4j.LoggingGrailsPlugin

    class LoggingGrailsPlugin

Provides a lazy initialized commons logging log property for all classes.

Authors:
  Marc Palmer
  Graeme Rocher

Since:
  0.4

Property Summary
`java.lang.Object` | `doWithSpring`
`java.lang.Object` | `doWithWebDescriptor`
`java.lang.Object` | `loadBefore`
`java.lang.Object` | `onConfigChange`
`java.lang.Object` | `version`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### doWithSpring

    java.lang.Object doWithSpring

### doWithWebDescriptor

    java.lang.Object doWithWebDescriptor

### loadBefore

    java.lang.Object loadBefore

### onConfigChange

    java.lang.Object onConfigChange

### version

    java.lang.Object version

Groovy Documentation